#include <wchar.h>
#include "../gdbm-local.h"
#include <math.h>
#include "../curses.h"
#include "../struktury_dbm.h"
#include "../lib_dbm.h"

void kreditu(DBM * dbm_ptr)
{
    struct dbm_info inf;
    WINDOW *new_win;
    wint_t ch;
    int celkem[] = { 0, 0 };

    unsigned int i, j;

    inf = zjisti_informace(dbm_ptr);
    new_win = newwin(SEMESTRU + 3 + SEMESTRU / 2 + 3, 49, 2, 8);

    refresh();
    box(new_win, ACS_VLINE, ACS_HLINE);

    mvwprintw(new_win, 0, 3,
	      " Získáno oznámkovaných [neozn.] kreditů ");

    j = 1;
    for (i = 0; i < SEMESTRU; i++) {
	j++;
	mvwprintw(new_win, j, 2, "Semestr %2i) %3i [%3i]", i + 1,
		  inf.kreditu_udelano[1][i], inf.kreditu_udelano[0][i]);
	celkem[0] += inf.kreditu_udelano[0][i];
	celkem[1] += inf.kreditu_udelano[1][i];
	if (!((int) fmod(i + 1, 2))) {
	    j++;
	    mvwprintw(new_win, j - 1, 27,
		      "Ročník %i) %3i [%3i]",
		      (int) ((i + 1) / 2),
		      inf.kreditu_udelano[1][i - 1] +
		      inf.kreditu_udelano[1][i],
		      inf.kreditu_udelano[0][i - 1] +
		      inf.kreditu_udelano[0][i]);
	}
    }
    mvwprintw(new_win, j + 2, 27, "CELKEM: %4i [%4i]",
	      celkem[1], celkem[0]);
    wrefresh(new_win);
    (void) get_wch(&ch);
    delwin(new_win);
}
